## typer 0.12.0

=== requirements.txt ===
-e .[all]

-r requirements-tests.txt
-r requirements-docs.txt

pre-commit >=2.17.0,<4.0.0

## typer 0.3.2

=== debian/changelog ===
typer (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 19 Aug 2021 20:14:32 -0400

typer (0.3.2-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #978694).

 -- Sergio de Almeida Cipriano Junior <sergiosacj@hotmail.com.br>  Sat, 23 Jan 2021 18:19:27 -0300

=== debian/control ===
Source: typer
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sergio de Almeida Cipriano Junior <sergiosacj@hotmail.com.br>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               mkdocs <!nodoc>,
               python3-all,
               python3-toml,
               python3-click,
               python3-setuptools,
               python3-mypy <!nocheck>,
               python3-isort <!nocheck>,
               python3-pytest <!nocheck>,
               python3-coverage <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-shellingham <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-sugar <!nocheck>,
               black <!nocheck>,
               flit,
Standards-Version: 4.5.1
Homepage: https://typer.tiangolo.com/
Vcs-Browser: https://salsa.debian.org/python-team/packages/typer
Vcs-Git: https://salsa.debian.org/python-team/packages/typer.git
#Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-typer
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-click,
Suggests: python-typer-doc
Description: Python library for building CLI applications (Python 3)
 Typer is a library for building CLI applications that users
 will love using and developers will love creating. Based on
 Python 3.6+ type hints.
 .
 The key features are:
 .
 Intuitive to write: Great editor support. Completion everywhere.
 Less time debugging. Designed to be easy to use and learn. Less
 time reading docs.
 .
 Easy to use: It's easy to use for the final users. Automatic help,
 and automatic completion for all shells.
 .
 Short: Minimize code duplication. Multiple features from each
 parameter declaration. Fewer bugs.
 .
 Start simple: The simplest example adds only 2 lines of code to your
 app: 1 import, 1 function call.
 .
 Grow large: Grow in complexity as much as you want, create arbitrarily
 complex trees of commands and groups of subcommands, with options and
 arguments.
 .
 This package installs the library for Python 3.

Package: python-typer-doc
Architecture: all
Section: doc
Depends: ${mkdocs:Depends},
         ${misc:Depends},
Description: Python library for building CLI applications (common documentation)
 Typer is a library for building CLI applications that users
 will love using and developers will love creating. Based on
 Python 3.6+ type hints.
 .
 The key features are:
 .
 Intuitive to write: Great editor support. Completion everywhere.
 Less time debugging. Designed to be easy to use and learn. Less
 time reading docs.
 .
 Easy to use: It's easy to use for the final users. Automatic help,
 and automatic completion for all shells.
 .
 Short: Minimize code duplication. Multiple features from each
 parameter declaration. Fewer bugs.
 .
 Start simple: The simplest example adds only 2 lines of code to your
 app: 1 import, 1 function call.
 .
 Grow large: Grow in complexity as much as you want, create arbitrarily
 complex trees of commands and groups of subcommands, with options and
 arguments.
 .
 This is the common documentation package for python-typer.

## typer 0.4.0

=== debian/changelog ===
typer (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0 (Closes: #997496).
  * Update patches:
     - 0001-Rename-converage-calls-to-python3-coverage.patch
     - 0003-Improve-installation-of-bash-completion.patch
    so that it works on latest version.
  * d/control:
     - Update my email.
     - Bump Standards-Version to 4.6.0.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Fri, 12 Nov 2021 23:45:46 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Sergio de Almeida Cipriano Junior <sergiosacj@hotmail.com.br>
+Uploaders: Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                mkdocs <!nodoc>,
@@ -20,7 +20,7 @@
                python3-pytest-sugar <!nocheck>,
                black <!nocheck>,
                flit,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://typer.tiangolo.com/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/typer
 Vcs-Git: https://salsa.debian.org/python-team/packages/typer.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export PYBUILD_NAME=typer

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	mkdocs build --clean -d $(CURDIR)/html -f $(CURDIR)/mkdocs.yml
	rm -f $(CURDIR)/html/404.html \
	$(CURDIR)/html/sitemap.xml.gz

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="pytest-3 --cov=typer --cov=tests --cov=docs_src --cov-report=term-missing -o console_output_style=progress --forked --numprocesses=auto" \
	dh_auto_test

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
override_dh_installdocs:
	dh_installdocs
	dh_mkdocs -Tmkdocs -Treadthedocs -Tlibjs-underscore -Tnode-jquery
endif

## typer 0.4.1

=== debian/changelog ===
typer (0.4.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 May 2022 11:42:34 -0700

typer (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1 (Closes: #1009202).
    - Refresh patches so that it works on latest version.
  * Add patch 0006-Removing-bot-that-is-using-external-scripts.patches.
    - Removing qabot as it is not packaged and causes privacy-breach-generic.
  * d/t/control: Add allow-stderr restriction.
    - Allow stderr because of warning "DeprecationWarning: The distutils
    package is deprecated and slated for removal in Python 3.12. Use
    setuptools or check PEP 632 for potential alternatives"

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Sun, 17 Apr 2022 19:03:26 -0300

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,35 @@
 Source: typer
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: black <!nocheck>,
+               debhelper-compat (= 13),
                dh-python,
+               flit,
                mkdocs <!nodoc>,
                python3-all,
-               python3-toml,
                python3-click,
+               python3-coverage <!nocheck>,
+               python3-isort <!nocheck>,
+               python3-mypy <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest-sugar <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-setuptools,
-               python3-mypy <!nocheck>,
-               python3-isort <!nocheck>,
-               python3-pytest <!nocheck>,
-               python3-coverage <!nocheck>,
-               python3-pytest-cov <!nocheck>,
                python3-shellingham <!nocheck>,
-               python3-pytest-xdist <!nocheck>,
-               python3-pytest-sugar <!nocheck>,
-               black <!nocheck>,
-               flit,
+               python3-toml
 Standards-Version: 4.6.0
 Homepage: https://typer.tiangolo.com/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/typer
 Vcs-Git: https://salsa.debian.org/python-team/packages/typer.git
-#Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-typer
 Architecture: all
-Depends: ${python3:Depends},
-         ${misc:Depends},
-         python3-click,
+Depends: python3-click, ${misc:Depends}, ${python3:Depends}
 Suggests: python-typer-doc
 Description: Python library for building CLI applications (Python 3)
  Typer is a library for building CLI applications that users
@@ -62,8 +60,7 @@
 Package: python-typer-doc
 Architecture: all
 Section: doc
-Depends: ${mkdocs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends}, ${mkdocs:Depends}
 Description: Python library for building CLI applications (common documentation)
  Typer is a library for building CLI applications that users
  will love using and developers will love creating. Based on

## typer 0.6.1

=== debian/changelog ===
typer (0.6.1-2) unstable; urgency=medium

  * d/control:
    - Update copyright year from 2021 to 2021-2022.
    - Bump Standards-Version from 4.6.0 to 4.6.1 (No changes needed).
    - Add pybuild-plugin-pyproject in Build-Depends.
      - Pybuild now supports building with PEP-517 standard interfaces natively.
      - The generic pybuild-plugin-pyproject is a prerequisite.
  * d/rules: Export TERMINAL_WIDTH variable.
    - Rich library respects some standard environment variables such as
    COLUMNS, but this variable may break tests that perform string comparisons
    if the terminal width is small. Tests now run with a large terminal width
    as this is how upstream is solving the issue.
  * d/t/run-pytest: Export TERMINAL_WIDTH variable.
  * d/t/control:
    - Remove allow-stderr as deprecation warnings were solved upstream.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Fri, 07 Oct 2022 11:06:56 -0300

typer (0.6.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

  [ Sergio de Almeida Cipriano Junior ]
  * New upstream version 0.6.1.
  * Rediff patches.
  * d/control:
    - Add python3-rich as build dependency.
    - Remove python3-click from Depends field.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Sat, 01 Oct 2022 09:09:49 -0300

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,13 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
+
+# Typer versions greater than 0.5.0 run tests that are influenced by the
+# python3-rich dependency. This library respects some standard environment
+# variables such as COLUMNS, but this variable can break tests that perform
+# string comparisons if the terminal width is small. Upstream handles this by
+# running tests with a large terminal width, since typer can override the
+# terminal width by setting the variable below.
+export TERMINAL_WIDTH=3000
 
 export PYBUILD_NAME=typer

## typer 0.7.0

=== debian/changelog ===
typer (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0.
  * Rediff patches.
  * d/tests/run-pytest, d/rules:
    - Remove unrecognized argument --forked from pytest-3 (Closes: 1026577).

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Fri, 23 Dec 2022 09:19:32 -0300

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,38 @@
 Source: typer
 Section: python
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>
-Build-Depends: black <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               flit,
+               pybuild-plugin-pyproject,
                mkdocs <!nodoc>,
                python3-all,
+               python3-toml,
                python3-click,
+               python3-rich,
+               python3-setuptools,
+               python3-mypy <!nocheck>,
+               python3-isort <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-coverage <!nocheck>,
-               python3-isort <!nocheck>,
-               python3-mypy <!nocheck>,
-               python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-shellingham <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-pytest-sugar <!nocheck>,
-               python3-pytest-xdist <!nocheck>,
-               python3-setuptools,
-               python3-shellingham <!nocheck>,
-               python3-toml
-Standards-Version: 4.6.0
+               black <!nocheck>,
+               flit,
+Standards-Version: 4.6.1
 Homepage: https://typer.tiangolo.com/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/typer
 Vcs-Git: https://salsa.debian.org/python-team/packages/typer.git
+#Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-typer
 Architecture: all
-Depends: python3-click, ${misc:Depends}, ${python3:Depends}
+Depends: ${python3:Depends},
+         ${misc:Depends},
 Suggests: python-typer-doc
 Description: Python library for building CLI applications (Python 3)
  Typer is a library for building CLI applications that users
@@ -60,7 +63,8 @@
 Package: python-typer-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${mkdocs:Depends}
+Depends: ${mkdocs:Depends},
+         ${misc:Depends},
 Description: Python library for building CLI applications (common documentation)
  Typer is a library for building CLI applications that users
  will love using and developers will love creating. Based on

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="pytest-3 --cov=typer --cov=tests --cov=docs_src --cov-report=term-missing -o console_output_style=progress --forked --numprocesses=auto" \
+	PYBUILD_TEST_ARGS="pytest-3 --cov=typer --cov=tests --cov=docs_src --cov-report=term-missing -o console_output_style=progress --numprocesses=auto" \
 	dh_auto_test
 
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

## typer 0.9.0

=== debian/changelog ===
typer (0.9.0-2) unstable; urgency=medium

  * d/clean: Clean up html folder and coverage files (Closes: #1045487).
  * d/rules: Change the mkdocs build command to be more descriptive.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Fri, 26 Jan 2024 11:09:13 -0300

typer (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0.
  * Refresh patches against 0.9.0.
  * Remove d/p/0001-Rename-converage-calls-to-python3-coverage.patch:
    - Upstream is now explicitly invoking coverage as a module on
    sys.executable, which ensures that the same binary that is also
    running the tests is used.
  * Remove d/p/0003-Improve-installation-of-bash-completion.patch:
    - The reason why tests related to shell completion fails is that these
    tests need us to be running under a supported shell, that is, bash rather
    than sh. Shell detection with shellingham is so thorough it is not
    possible to fool it easily. That said, affected tests have been excluded
    as the feature is working even though those are failing.
  * d/copyright: Bump my copyright year to cover 2023
  * d/control: Bump Standards-Version from 4.6.1 to 4.6.2, no changes needed.
  * d/rules:
    - Export option that disables terminal detection.
    - Simplify targets by using the new execute_after_* targets from dh 13.
    - Add condition for nocheck build profile.
    - Use .coveragerc instead of specifying test files in the CLI.
    - Remove test progress output, it was polluting the log.
    - Add parameters to ignore tests that override the PYTHONPATH and to
    exclude shell completion tests in PYBUILD_TEST_ARGS.
  * d/t/control: Allow stderr for test run-pytest.
  * d/t/run-pytest: Updates made to d/rules were replicated in the script. It
    was not necessary to remove the tests that override the PYTHONPATH since
    typer was installed.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Wed, 16 Aug 2023 20:47:02 -0300

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3-pytest-sugar <!nocheck>,
                black <!nocheck>,
                flit,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://typer.tiangolo.com/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/typer
 Vcs-Git: https://salsa.debian.org/python-team/packages/typer.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

# Typer versions greater than 0.5.0 run tests that are influenced by the
# python3-rich dependency. This library respects some standard environment
# variables such as COLUMNS, but this variable can break tests that perform
# string comparisons if the terminal width is small. Upstream handles this by
# running tests with a large terminal width, since typer can override the
# terminal width by setting the variable below.
export TERMINAL_WIDTH=3000
# Force disable terminal for tests inside of pytest. See scripts/test.sh.
# When the variable below is enabled, rich console is set to not detect the
# terminal. If Rich detects that it is not writing to a terminal it will
# strip control codes from the output.
export _TYPER_FORCE_DISABLE_TERMINAL=1
# The reason why tests related to shell completion fails is that these tests
# need us to be running under a supported shell, that is, bash rather than sh.
# Shell detection with shellingham is so thorough it is not possible to fool
# it by any combination of:
# - export SHELL=/bin/bash
# - bash -c 'pytest'
TESTS_TO_EXCLUDE='not test_show_completion and not test_install_completion'
# These cannot find the typer package because the tests override PYTHONPATH.
TESTS_TO_IGNORE=--ignore=tests/test_tutorial/test_subcommands/test_tutorial001.py \
--ignore=tests/test_tutorial/test_subcommands/test_tutorial003.py
export PYBUILD_NAME=typer

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_build:
	mkdocs build --site-dir $(CURDIR)/html --config-file $(CURDIR)/mkdocs.yml
	rm -f $(CURDIR)/html/404.html $(CURDIR)/html/sitemap.xml.gz

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="pytest-3 -k ${TESTS_TO_EXCLUDE} ${TESTS_TO_IGNORE} --cov-config=.coveragerc --numprocesses=auto" \
	dh_auto_test
endif

execute_after_dh_installdocs:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	dh_mkdocs -Tmkdocs -Treadthedocs -Tlibjs-underscore -Tnode-jquery
endif

## typer 0.12.0

=== debian/changelog ===
typer (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.12.0.
  * Refresh patches against 0.12.0.
  * d/control:
    - Add mkdocs-redirects plugin.
    - Change buildsystem to pdm-backend.
  * Remove the use of coveragerc and numprocesses in tests.

 -- Washington Bispo Arishita Junior <juniorbispo515@gmail.com>  Tue, 02 Apr 2024 16:46:47 -0300

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                dh-python,
                pybuild-plugin-pyproject,
                mkdocs <!nodoc>,
+               mkdocs-redirects <!nodoc>,
                python3-all,
                python3-toml,
                python3-click,
@@ -21,7 +22,7 @@
                python3-pytest-xdist <!nocheck>,
                python3-pytest-sugar <!nocheck>,
                black <!nocheck>,
-               flit,
+               python3-pdm-backend
 Standards-Version: 4.6.2
 Homepage: https://typer.tiangolo.com/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/typer

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="pytest-3 -k ${TESTS_TO_EXCLUDE} ${TESTS_TO_IGNORE} --cov-config=.coveragerc --numprocesses=auto" \
+	PYBUILD_TEST_ARGS="pytest-3 -k ${TESTS_TO_EXCLUDE} ${TESTS_TO_IGNORE}" \
 	dh_auto_test
 endif

## typer 0.12.3

=== debian/changelog ===
typer (0.12.3-1) unstable; urgency=medium

  * New upstream version 0.12.3.
  * Update d/p/0002-Replace-mkdocs-material-remove-mkdocs-extensions.patch
    description to better explain the need for it.
  * Add manpages for the typer binary.
  * d/rules:
    - Skip mkdocs build if nodoc is enabled.
    - Move /bin/typer from python3-typer to typer.
  * d/control:
    - Add typer binary package.
    - Suggest typer for python3-typer.
    - Add details to the description of python* packages.
    - Remove build dependencies that are not being used.
    - Remove mkdocs dependencies from python-typer-doc.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Mon, 20 May 2024 15:02:18 -0300

=== debian/control ===
--- 
+++ 
@@ -9,19 +9,13 @@
                mkdocs <!nodoc>,
                mkdocs-redirects <!nodoc>,
                python3-all,
-               python3-toml,
                python3-click,
                python3-rich,
                python3-setuptools,
                python3-mypy <!nocheck>,
-               python3-isort <!nocheck>,
                python3-pytest <!nocheck>,
                python3-coverage <!nocheck>,
-               python3-pytest-cov <!nocheck>,
                python3-shellingham <!nocheck>,
-               python3-pytest-xdist <!nocheck>,
-               python3-pytest-sugar <!nocheck>,
-               black <!nocheck>,
                python3-pdm-backend
 Standards-Version: 4.6.2
 Homepage: https://typer.tiangolo.com/
@@ -30,15 +24,17 @@
 #Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
-Package: python3-typer
+Package: typer
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-Suggests: python-typer-doc
-Description: Python library for building CLI applications (Python 3)
- Typer is a library for building CLI applications that users
- will love using and developers will love creating. Based on
- Python 3.6+ type hints.
+         python3-typer,
+Suggests: python-typer-doc,
+          python3-rich,
+Description: CLI to run Python scripts and create CLI applications
+ Typer is a library for building command-line interface (CLI) applications
+ based on Python type hints. It's also a command line tool to run scripts,
+ automatically converting them to CLI applications.
  .
  The key features are:
  .
@@ -59,17 +55,20 @@
  complex trees of commands and groups of subcommands, with options and
  arguments.
  .
- This package installs the library for Python 3.
+ This package provides the `typer` command/program that you can use to run
+ scripts, automatically converting them to CLIs, even if they don't use Typer
+ internally.
 
-Package: python-typer-doc
+Package: python3-typer
 Architecture: all
-Section: doc
-Depends: ${mkdocs:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
-Description: Python library for building CLI applications (common documentation)
- Typer is a library for building CLI applications that users
- will love using and developers will love creating. Based on
- Python 3.6+ type hints.
+Suggests: python-typer-doc,
+          typer,
+Description: Python library for building CLI applications (Python 3)
+ Typer is a library for building command-line interface (CLI) applications that
+ users will love using and developers will love creating. Based on Python 3.6+
+ type hints.
  .
  The key features are:
  .
@@ -90,4 +89,34 @@
  complex trees of commands and groups of subcommands, with options and
  arguments.
  .
- This is the common documentation package for python-typer.
+ This package provides the library for Python 3.
+
+Package: python-typer-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends},
+Description: Python library for building CLI applications (common documentation)
+ Typer is a library for building command-line interface (CLI) applications that
+ users will love using and developers will love creating. Based on Python 3.6+
+ type hints.
+ .
+ The key features are:
+ .
+ Intuitive to write: Great editor support. Completion everywhere.
+ Less time debugging. Designed to be easy to use and learn. Less
+ time reading docs.
+ .
+ Easy to use: It's easy to use for the final users. Automatic help,
+ and automatic completion for all shells.
+ .
+ Short: Minimize code duplication. Multiple features from each
+ parameter declaration. Fewer bugs.
+ .
+ Start simple: The simplest example adds only 2 lines of code to your
+ app: 1 import, 1 function call.
+ .
+ Grow large: Grow in complexity as much as you want, create arbitrarily
+ complex trees of commands and groups of subcommands, with options and
+ arguments.
+ .
+ This package provides the common documentation for python-typer.

## typer 0.12.5

=== debian/changelog ===
typer (0.12.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.12.5.
  * d/patches: Refresh patches for new upstream version.
  * d/control: Bump Standards-Version to 4.7.0, no changes needed.
  * d/control: Remove unnecessary dependency on python3-mypy.

 -- Antonio Igor Carvalho <antonioigorcarvalho@gmail.com>  Sun, 01 Sep 2024 22:38:56 -0300

typer (0.12.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Tue, 25 Jun 2024 20:15:05 -0300

## typer 0.13.1

=== debian/changelog ===
typer (0.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.13.1.
  * debian/patches/0002-Replace-mkdocs-material-remove-mkdocs-extensions.patch:
    Minimum update to unfuzz the patch.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jan 2025 12:08:52 -0500

## typer 0.15.1

=== debian/changelog ===
typer (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1.
  * Rediff patches.

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Fri, 07 Feb 2025 15:22:27 -0300

## typer 0.15.2

=== debian/changelog ===
typer (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2 (Closes: #1099431).

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Wed, 05 Mar 2025 09:31:28 -0300

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,11 @@
                python3-click,
                python3-rich,
                python3-setuptools,
-               python3-mypy <!nocheck>,
                python3-pytest <!nocheck>,
                python3-coverage <!nocheck>,
                python3-shellingham <!nocheck>,
                python3-pdm-backend
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://typer.tiangolo.com/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/typer
 Vcs-Git: https://salsa.debian.org/python-team/packages/typer.git

=== debian/tests/control ===
Tests: run-pytest
Depends: @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/typer-$1\.tar\.gz/ \
     https://github.com/tiangolo/typer/tags .*/(\d\S+)\.tar\.gz

## typer 0.16.0

=== debian/changelog ===
typer (0.16.0-1) unstable; urgency=medium

  [ Arlisson Jaques ]
  * Team upload.
  * New upstream version 0.16.0.
  * Rediff patches.

  [ Sérgio de Almeida Cipriano Júnior ]
  * d/control:
    - Update my email.
    - Standards-Version to 4.7.2, no changes needed.
  * d/t/control: Do not allow stderr.
  * d/copyright: Bump my copyright year and use my Debian email.

 -- Arlisson Jaques <arlissonjaques@gmail.com>  Fri, 15 Aug 2025 16:46:41 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>
+Uploaders: Sérgio de Almeida Cipriano Júnior <cipriano@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
@@ -16,7 +16,7 @@
                python3-coverage <!nocheck>,
                python3-shellingham <!nocheck>,
                python3-pdm-backend
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://typer.tiangolo.com/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/typer
 Vcs-Git: https://salsa.debian.org/python-team/packages/typer.git

## typer 0.19.2

=== debian/changelog ===
typer (0.19.2-1) unstable; urgency=medium

  * New upstream version 0.19.2.
  * Replace d/watch with d/u/metadata new Github option.
  * d/control:
    - Remove Rules-Requires-Root field.
    - Remove comment that is not useful.

 -- Sérgio de Almeida Cipriano Júnior <cipriano@debian.org>  Tue, 23 Sep 2025 12:06:20 -0300

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,6 @@
 Homepage: https://typer.tiangolo.com/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/typer
 Vcs-Git: https://salsa.debian.org/python-team/packages/typer.git
-#Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: typer
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -29,8 +29,10 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 execute_after_dh_auto_build:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	mkdocs build --site-dir $(CURDIR)/html --config-file $(CURDIR)/mkdocs.yml
 	rm -f $(CURDIR)/html/404.html $(CURDIR)/html/sitemap.xml.gz
+endif
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -43,3 +45,7 @@
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	dh_mkdocs -Tmkdocs -Treadthedocs -Tlibjs-underscore -Tnode-jquery
 endif
+
+execute_after_dh_install:
+	mkdir -p debian/typer/usr/bin
+	mv debian/python3-typer/usr/bin/typer debian/typer/usr/bin/typer

=== debian/tests/control ===
Tests: run-pytest
Depends: @, @builddeps@
